- name: ubuntu
  long_name: Ubuntu 16.04 (recommended)
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.deb.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" apt-get install gitlab-ee
  dependency_commands: |
                    sudo apt-get update
                    sudo apt-get install -y curl openssh-server ca-certificates
  postfix_commands: |
                    sudo apt-get install -y postfix

- name: debian
  long_name: Debian
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.deb.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" apt-get install gitlab-ee
  dependency_commands: |
                    sudo apt-get update
                    sudo apt-get install -y curl openssh-server ca-certificates
  postfix_commands: |
                    sudo apt-get install -y postfix

- name: centos6
  long_name: CentOS 6 (and RedHat/Oracle/Scientific Linux 6)
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" yum -y install gitlab-ee
  dependency_commands: |
                    sudo yum install -y curl policycoreutils-python openssh-server cronie
  firewall_open: |
                      sudo lokkit -s http -s ssh
  postfix_commands: |
                      sudo yum install postfix
                      sudo service postfix start
                      sudo chkconfig postfix on

- name: centos7
  long_name: CentOS 7 (and RedHat/Oracle/Scientific Linux 7)
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" yum install -y gitlab-ee
  dependency_commands: |
                    sudo yum install -y curl policycoreutils-python openssh-server
                    sudo systemctl enable sshd
                    sudo systemctl start sshd
  firewall_open: |
                    sudo firewall-cmd --permanent --add-service=http
                    sudo firewall-cmd --permanent --add-service=https
                    sudo systemctl reload firewalld
  postfix_commands: |
                    sudo yum install postfix
                    sudo systemctl enable postfix
                    sudo systemctl start postfix

- name: centos8
  long_name: CentOS 8 (and RedHat 8)
  download_command: curl https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" dnf install -y gitlab-ee
  dependency_commands: |
                    sudo dnf install -y curl policycoreutils openssh-server
                    sudo systemctl enable sshd
                    sudo systemctl start sshd
  firewall_open: |
                    # Check if opening the firewall is needed with: sudo systemctl status firewalld
                    sudo firewall-cmd --permanent --add-service=http
                    sudo firewall-cmd --permanent --add-service=https
                    sudo systemctl reload firewalld
  postfix_commands: |
                    sudo dnf install postfix
                    sudo systemctl enable postfix
                    sudo systemctl start postfix

- name: opensuse
  long_name: OpenSUSE
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" zypper install gitlab-ee
  dependency_commands: |
                    sudo zypper install curl openssh
                    sudo systemctl enable sshd
                    sudo systemctl start sshd
  firewall_open: |
                    sudo firewall-cmd --permanent --add-service=http
                    sudo firewall-cmd --permanent --add-service=https
                    sudo systemctl reload firewalld
  postfix_commands: |
                    sudo zypper install postfix
                    sudo systemctl enable postfix
                    sudo systemctl start postfix

- name: sles122
  long_name: SUSE Linux Enterprise Server 12.2
  download_command: curl -sS https://packages.gitlab.com/install/repositories/gitlab/gitlab-ee/script.rpm.sh | sudo bash
  install_commands: |
                    sudo EXTERNAL_URL="https://gitlab.example.com" zypper install gitlab-ee
  dependency_commands: |
                    sudo zypper install curl openssh
                    sudo systemctl enable sshd
                    sudo systemctl start sshd
  firewall_open: |
                    sudo yast2 firewall services add tcpport=80,443,22,25,465,587 udpport=80,443,22,25,465,587 zone=EXT
                    sudo rcSuSEfirewall2 restart
  postfix_commands: |
                    sudo zypper install postfix
                    sudo systemctl enable postfix
                    sudo systemctl start postfix
